Update Client
Updates the client specified by the client_guid and returns that client.
PUT
/client/{client_guid}
Request Body
None of these parameters are required, but the client object cannot be empty.
| Field | Required | Type |
|---|---|---|
client | Required | Object |
Request sample
Language:shell
_10curl -L -X PUT 'https://int-api.mx.com/client/{client_guid}` \_10-H 'Accept: application/vnd.mx.api.v1+json' \_10-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}' \_10--data-raw '{"client":{"address":"123 Address Way","city":"Schenectady","country":"US","main_url":"http://mainurl.com","name":"Test Client","oauth_app_description":"This is your app","oauth_app_name":"The App","postal_code":"12345","products":{"balance":false,"business_suite":false,"data_api":false,"history":false,"identity_verification":false,"microdeposits":false,"moneymap":false,"pulse":false,"reporting_api":{"is_enabled":false},"sherlock_api":false,"statements":false},"state":"NY","support_email":"support@mainurl.com","support_phone":"8015555555","support_url":"http://supporturl.com"}}'
Response sample
200
Language:json
_39{_39 "client": {_39 "address": "123 Address Way",_39 "city": "Schenectady",_39 "country": "US",_39 "created_at": "2024-09-04T16:07:40+00:00",_39 "id": "external-id",_39 "guid": "CLT-1a2b3c4-1a2b-3a4b-1a2b-3c4d5e6f7a89",_39 "main_url": "https://mainurl.com",_39 "name": "Test client",_39 "oauth_app_description": "This is your app",_39 "oauth_app_name": "The App",_39 "postal_code": "12345",_39 "state": "NY",_39 "support_email": "support@mainurl.com",_39 "support_phone": "8015555555",_39 "support_url": "https://supporturl.com",_39 "updated_at": "2024-09-04T16:09:58+00:00",_39 "products": {_39 "account_verification": false,_39 "balance": false,_39 "business_suite": true,_39 "data_api": true,_39 "history": false,_39 "identity_verification": false,_39 "microdeposits": false,_39 "moneymap": true,_39 "platform_api": true,_39 "pulse": true,_39 "reporting_api": {_39 "is_enabled": false,_39 "base_reports": false_39 },_39 "sherlock_api": false,_39 "statements": false,_39 "transactions": true_39 }_39 }_39}